Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515211 - ASB bootstrap failed while apb registry exist images of 3.7
Summary: ASB bootstrap failed while apb registry exist images of 3.7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6.z
Assignee: Todd Sanders
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 12:07 UTC by Zhang Cheng
Modified: 2018-01-05 02:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-04 14:59:11 UTC


Attachments (Terms of Use)

Comment 1 Zhang Cheng 2017-11-22 07:00:56 UTC
We confirmed that should be a compatibility issue. That means if apb registry only have 3.6 apb images, it work well. But, will have problem while we upgrade to ocp3.7. 

Below is my test steps:
1. pull 3.6 apb images form stage registry; 
2. push images to self docker-hub registry(without 3.7 images in self registry); 3. Check asb and serviceclass status

Actual result:
ASB bootstrap succeed and expect serviceclass can be list succeed.

I think that is not a regression issue. But, we need to think how to upgrade to 3.7. I have added comments in release notes: https://github.com/openshift/openshift-docs/issues/4906


Note You need to log in before you can comment on or make changes to this bug.